View Issue Details

IDProjectCategoryView StatusLast Update
0001767SymmetricDSImprovementpublic2014-06-16 20:27
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001767: On sql server build triggers with "execute as owner" so less grants are need for application users
DescriptionOn sql server build triggers with "execute as owner" so less grants are need for application users
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 85bc5c38

2014-06-12 11:11:59

chenson

Details Diff
0001767: On sql server build triggers with "execute as owner" so less grants are need for application users
0001766: nvarchar data can be corrupted when the default database collation is set to a value that does not support double byte character

0001767
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2014-06-12 11:11 chenson New Issue
2014-06-12 11:11 chenson Status new => assigned
2014-06-12 11:11 chenson Assigned To => chenson
2014-06-12 11:11 chenson Status assigned => resolved
2014-06-12 11:11 chenson Fixed in Version => 3.6.0
2014-06-12 11:11 chenson Resolution open => fixed
2014-06-12 12:00 Changeset attached => SymmetricDS trunk r8374
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 85bc5c38